> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a Broadcast Test

> Send a broadcast test. Can only send tests for broadcasts in DRAFT, CANCELLED or FAILED status.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /orgs/{org_id}/broadcasts/{broadcast_id}/send/test
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/broadcasts/{broadcast_id}/send/test:
    post:
      tags:
        - Orgs Broadcasts
      summary: Send a Broadcast Test
      description: >-
        Send a broadcast test. Can only send tests for broadcasts in DRAFT,
        CANCELLED or FAILED status.
      parameters:
        - schema:
            type: string
          required: true
          description: Org ID
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: Broadcast ID
          name: broadcast_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendBroadcastTestSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/SendBroadcastTestSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendBroadcastTestSchema'
components:
  schemas:
    SendBroadcastTestSchema:
      type: object
      properties:
        user_id:
          type: string
          maxLength: 1024
          description: The user ID of the contact channel
        name:
          type:
            - string
            - 'null'
          maxLength: 256
          description: The name for the contact channel (e.g. John Doe)
        email:
          type: string
          maxLength: 256
          description: The email for the contact channel (e.g. user@example.com)
        phone:
          type: string
          maxLength: 256
          description: The phone number for the contact channel (e.g. +1234567890)
        properties:
          $ref: '#/components/schemas/BroadcastFieldValue'
        template_ids:
          type: array
          items:
            type: string
          description: >-
            Optional list of template IDs to test. If omitted, all templates are
            tested.
      description: Schema for sending a broadcast test
    BroadcastFieldValue:
      type: object
      additionalProperties:
        type: string
        maxLength: 2048
      description: A record of field keys and values per broadcast contact
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````